# dmd.root.aav

Associative array implementation.

#### Authors

Walter Bright, https://www.digitalmars.com

#### License

Boost License 1.0

Source: root/aav.d

Documentation: https://dlang.org/phobos/dmd_root_aav.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/root/aav.d

- `asRange`

  #### Declaration

  `pure nothrow @nogc @property auto `asRange`(AA* `aa`);`

  Gets a range of key/values for ``aa``.

  #### Return Value

  a range of key/values for ``aa``.